

html, body {
    height: 100vh;
    margin: 0;
    overflow: hidden; 
}



body {
    background-color: white;
    color: black;

    display: flex;
    flex-direction: column;
}



header {
    font-size: 15px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: bold;

    display: flex;
    align-items: center;
    /* justify-content: center;  */
    justify-content: space-between;

    text-align: center;

    letter-spacing: 1px;

    background-color: rgb(244, 234, 234, 0.7);
    color: rgb(251, 44, 21);

    cursor: default;

    margin: 2px;
    margin-left: 10px;
    border-radius: 5px;
    padding: 5px;

    flex: 0 0 auto;


    position: fixed;          /* überlagert section */
    top: 0;
    left: 0;
    width: 97%;
    height: 40px;
    z-index: 1000;
}


header a {
    text-decoration: none;      /* Unterstrich weg */
    color: rgb(251, 44, 21);    /* deine Wunschfarbe */
}





#ueberschrift img {
    margin: 0 50px;
}



#ueberschrift {
    font-size: 60px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: bold;

    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    letter-spacing: 1px;

    background-color: rgb(244, 234, 234);
    color: rgb(251, 44, 21);

    cursor: default;

    margin: 2px;
    margin-top: 80px;
    border-radius: 5px;
    padding: 5px;

    flex: 0 0 auto;
}


section {
    flex: 1;
    overflow-y: auto;

    background-color: rgb(244, 234, 234);
    margin: 2px;
    border-radius: 5px;
    margin-top: 0px;

    display: block; /* statt flex */
    text-align: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}



#text-block {
    max-width: 80%;
    margin: 0 auto;
    padding: 20px;
    text-align: justify;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}




footer {
    font-size: 10px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: bold;

    background-color: rgb(244, 234, 234);
    color: black;

    display: flex;
    align-items: center;
    justify-content: flex-end;

    cursor: default;

    padding: 5px;
    margin: 2px;
    border-radius: 5px;

    flex: 0 0 auto;
}




.glossary summary {
    font-size: 1.4rem;      
    font-weight: bold;
    cursor: pointer;
    margin-bottom: 1rem;
}

.glossary[open] summary {
    margin-bottom: 1.5rem;
}






#xlsx-output table td,
#xlsx-output table th {
  padding: 4px 8px;
  border: 1px solid #ccc;
  font-size: 10px;
}



#info, #charts, #maps, #data, #glossary, #sources, #background, #source, #stadtteilschulen, #gymnasien, #sonderschulen {
    scroll-margin-top: 200px; /* Abstand nach oben */
}


html {
    scroll-padding-top: 80px; /* Höhe deines Headers */
}


